Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::ServantManager Interface Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::ServantManager:

[legend]
Collaboration diagram for PortableServer::ServantManager:

[legend]
List of all members.

## Public Types
typedef ServantManager_ptr | _ptr_type
typedef ServantManager_var | _var_type
## Public Methods
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
ServantManager_ptr | _duplicate (ServantManager_ptr obj)
ServantManager_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServantManager_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServantManager_ptr | _nil (void)
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| ServantManager (void)
virtual | ~ServantManager (void)
## Private Methods
| ServantManager (const ServantManager &)
void | operator= (const ServantManager &)

## Member Typedef Documentation

typedef ServantManager_ptr PortableServer::ServantManager::_ptr_type

| Reimplemented from CORBA_Object. Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

typedef ServantManager_var PortableServer::ServantManager::_var_type

| Reimplemented from CORBA_Object. Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

## Constructor & Destructor Documentation

PortableServer::ServantManager::ServantManager | ( | void |  | ) | `[protected]`

virtual PortableServer::ServantManager::~ServantManager | ( | void |  | ) | `[protected, virtual]`

PortableServer::ServantManager::ServantManager | ( | const ServantManager & |  | ) | `[private]`

## Member Function Documentation

ServantManager_ptr PortableServer::ServantManager::_duplicate | ( | ServantManager_ptr | obj | ) | `[static]`

virtual const char* PortableServer::ServantManager::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA_Object. Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

ServantManager_ptr PortableServer::ServantManager::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

ServantManager_ptr PortableServer::ServantManager::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA_Object. Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

virtual void* PortableServer::ServantManager::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA_Object. Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

ServantManager_ptr PortableServer::ServantManager::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

void PortableServer::ServantManager::operator= | ( | const ServantManager & |  | ) | `[private]`

## Member Data Documentation

int PortableServer::ServantManager::_tao_class_id`[static]`

| Reimplemented from CORBA_Object. Reimplemented in PortableServer::ServantActivator, and PortableServer::ServantLocator.

The documentation for this interface was generated from the following files:

- PortableServer.pidl
- PortableServerC.h